#include <iostream>
#include <string>

using namespace std;

int main()
{
    string b1,b2,b3,br="";
    cin>>b1>>b2>>b3;
    if(b2>b1 && b2>b3){
        if(b1>b3){
            br=b2+b1+b3;
        }
        else if(b1<b3){
            br=b2+b3+b1;
        }
    }
    else if(b3>b1 && b3>b2){
        if(b1>b2){
            br=b3+b1+b2;
        }
        else if(b1<b2){
            br=b3+b2+b1;
        }
    }
    else if(b1>b2 && b1>b3){
        if(b2>b3){
            br=b1+b2+b3;
        }
        else if(b2<b3){
            br=b1+b3+b2;
        }
    }
    cout<<br<<endl;


    return 0;
}